Summary:	Evolution extension for Exchange Web Services
Summary(pl.UTF-8):	Rozszerzenie Evolution dla Exchange Web Services
Name:		evolution-ews
Version:	3.38.2
Release:	1
License:	LGPL v2+
Group:		X11/Applications/Mail
Source0:	https://download.gnome.org/sources/evolution-ews/3.38/%{name}-%{version}.tar.xz
# Source0-md5:	5f5b042e208b0004fd468848b047d6ce
URL:		https://wiki.gnome.org/Apps/Evolution
BuildRequires:	cmake >= 3.1
BuildRequires:	evolution-data-server-devel >= %{version}
BuildRequires:	evolution-devel >= %{version}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.46.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	json-glib-devel >= 1.0.4
BuildRequires:	libical-glib-devel >= 3.0.5
BuildRequires:	libmspack-devel >= 0.4
BuildRequires:	libsoup-devel >= 2.58
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	evolution >= %{version}
Requires:	evolution-data-server >= %{version}
Requires:	glib2 >= 1:2.46.0
Requires:	json-glib >= 1.0.4
Requires:	libical-glib >= 3.0.5
Requires:	libsoup >= 2.58
Obsoletes:	evolution-ews-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows Evolution to interact with Microsoft Exchange
servers, versions 2007 and later, through its Exchange Web Services
(EWS) interface.

%description -l pl.UTF-8
Ten pakiet pozwala programowi Evolution współpracować z serwerami
Microsoft Exchange w wersji 2007 lub nowszej poprzez interfejs EWS
(Exchange Web Services).

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DLIBEXEC_INSTALL_DIR=%{_libexecdir} \
	-DENABLE_SCHEMAS_COMPILE=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%dir %{_libdir}/evolution-ews
%attr(755,root,root) %{_libdir}/evolution/modules/module-ews-configuration.so
%attr(755,root,root) %{_libdir}/evolution/modules/module-microsoft365-configuration.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/addressbook-backends/libebookbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%attr(755,root,root) %{_libdir}/evolution-data-server/calendar-backends/libecalbackendmicrosoft365.so
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.so
%{_libdir}/evolution-data-server/camel-providers/libcamelmicrosoft365.urls
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%attr(755,root,root) %{_libdir}/evolution-data-server/registry-modules/module-microsoft365-backend.so
%attr(755,root,root) %{_libdir}/evolution-ews/libcamelews-priv.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-ews.so
%attr(755,root,root) %{_libdir}/evolution-ews/libevolution-microsoft365.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews
%{_datadir}/metainfo/org.gnome.Evolution-ews.metainfo.xml
%changelog
* Fri Nov 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/evolution-ews.git;a=log;h=master

* Fri Nov 20 2020 Jakub Bogusz <qboosh@pld-linux.org> ebdd352
- updated to 3.38.2

* Sat Oct 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 3f12908
- updated to 3.38.1

* Tue Sep 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 2715797
- updated to 3.38.0
- added Microsoft365 modules

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 7b9436e
- updated to 3.36.5

* Fri Jul 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 200b317
- updated to 3.36.4

* Fri May 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 85e085f
- updated to 3.36.3

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b30cfbd
- updated to 3.36.2

* Tue Mar 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 2d17b8f
- updated to 3.34.4

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> f2375b0
- updated to 3.34.3

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 07e309a
- updated to 3.34.2

* Wed Oct 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 179710b
- updated to 3.34.1

* Fri May 17 2019 Jakub Bogusz <qboosh@pld-linux.org> cbf8c41
- updated to 3.32.2

* Thu Apr 18 2019 Jan Rękorajski <baggins@pld-linux.org> 85c1cbf
- release 2 (by relup.sh)

* Thu Jan 24 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 70c41c3
- Updated to 3.30.3

* Wed Jun 20 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 2224705
- Update to 3.28.3

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 74255a4
- Update to 3.28.0

* Mon Jan 08 2018 Marcin Banasiak <marcin.banasiak@gmail.com> e70a1ec
- Update to 3.26.4

* Mon Dec 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 1958960
- Update to 3.26.3

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> aaafc7f
- Update to 3.26.1

* Sun Oct 01 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cd6ec5a
- Update to 3.26.0

